Bug 435903 - Cannot find root file system! on pcmcia CDROM drive
Cannot find root file system! on pcmcia CDROM drive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 07:03 EST by cje
Modified: 2013-01-09 23:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:16:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cje 2008-03-04 07:03:03 EST
Description of problem:
the LiveCD boots the kernel okay but then it can't find the root file system
(which is, presumably, on the CD) - so i guess it can't find the CD drive.

Version-Release number of selected component (if applicable):
fedora 9 alpha LiveCD i386

Additional info:

there's plenty of noise about this in various forums.  looks like maybe it used
to work around kernel 2.6.8.  i saw a post saying that ubuntu warty worked.
Comment 1 Jeremy Katz 2008-03-04 08:07:47 EST
Which actual hardware is this?  And does the PCMCIA cd drive work in other cases
on an already installed system?

Comment 2 cje 2008-03-04 08:21:49 EST
hardware is a toshiba portege P2000.  (about 5 years old).  the CD drive works
well enough to boot the kernel.

the drive works fine on a running fedora 8 on the same laptop model.

can i get more useful information from that running system?  what would be the
most helpful stuff i can get?
Comment 3 cje 2008-03-14 12:32:10 EDT
with the drive plugged in on running f8:

lspci has the "ToPIC100 PCI to Cardbus Bridge with ZV Support", using driver
yenta_cardbus.  lspci -n calls it 1179:0617 (rev 32)

lshal includes:

pcmcia.prod_id1 = 'FREECOM'
pcmcia.prod_id2 = 'PCCARD-IDE'
pcmcia.prod_id3 = 'REV836'

which has a child scsi_host with a child:

info.linux.driver = 'sr'
scsi.model = 'CD-224E'
scsi.vendor = 'TEAC'

on insert the system log gets the following:

kernel: Driver 'sr' needs updating - please use bus_type methods

which appears on the screen just before the LiveCD fails.

lsmod contains sr_mod, cdrom and pata_pcmcia.

hope that's of some use.  :-)
Comment 4 Jeremy Katz 2008-03-14 18:07:29 EDT
Added some bits so that the right modules should get pulled into the live initrd
and should be testable with F9 beta.  Thanks!
Comment 5 cje 2008-03-25 16:39:44 EDT
w00t!  here come's the beta :-)  looks like all the modules are available,
thanks for that  :-D, ... but the system doesn't know what to do with them, so
we get the same result.

here's what goes in /var/log/messages when i insert the pcmcia card with a CD in
the drive on fedora 8:

Mar 25 20:24:47 localhost kernel: pccard: PCMCIA card inserted into slot 1
Mar 25 20:24:47 localhost kernel: cs: memory probe 0xa0000000-0xa0ffffff:
excluding 0xa0000000-0xa00fffff
Mar 25 20:24:47 localhost kernel: pcmcia: registering new device pcmcia1.0
Mar 25 20:24:49 localhost kernel: scsi2 : pata_pcmcia
Mar 25 20:24:49 localhost kernel: ata3: PATA max PIO0 cmd 0x140 ctl 0x14e irq 3
Mar 25 20:24:49 localhost kernel: ata3.00: ATAPI: CD-224E, 1.7A, max UDMA/33
Mar 25 20:24:49 localhost kernel: ata3.00: configured for PIO0
Mar 25 20:24:49 localhost kernel: isa bounce pool size: 16 pages
Mar 25 20:24:49 localhost kernel: scsi 2:0:0:0: CD-ROM            TEAC    
CD-224E          1.7A PQ: 0 ANSI: 5
Mar 25 20:24:49 localhost kernel: scsi 2:0:0:0: Attached scsi generic sg1 type 5
Mar 25 20:24:50 localhost kernel: Driver 'sr' needs updating - please use
bus_type methods
Mar 25 20:24:50 localhost kernel: sr0: scsi3-mmc drive: 24x/24x cd/rw xa/form2
cdda tray
Mar 25 20:24:50 localhost kernel: Uniform CD-ROM driver Revision: 3.20
Mar 25 20:25:01 localhost hald: mounted /dev/sr0 on behalf of uid 500
Mar 25 20:25:01 localhost gnome-keyring-daemon[2186]: adding removable location:
volume_label_Fedora_9_Beta_i686_20080319 at /media/Fedora-9-Beta-i686-20080319

i'll try it again and see if i can mount manually from the command line.
Comment 6 cje 2008-03-25 17:44:33 EDT
booting from the fedora 9 beta live cd you get to the command prompt with no root.

removing and inserting the card elicits the "pccard: PCMCIA card inserted into
slot 1" (and matching 'ejected from') message.

so the first missing message is:
cs: memory probe 0xa0000000-0xa0ffffff: excluding 0xa0000000-0xa00fffff

maybe we need another module?  or some hotplug magic?  or something.

"I'M LOooooSSST!"
Comment 7 Bug Zapper 2008-05-14 01:45:35 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 19:40:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-15 04:16:32 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.